/** Set the value of "WMO block number" from a variable of type int */
inline void set_block(int val, int conf=-1)  { seti(WR_VAR(0, 1, 1), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "WMO block number" from a wreport::Var */
inline void set_block_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 1), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "WMO block number" physical value stored in the message */
inline const wreport::Var* get_block_var() const
{ return find_by_id(DBA_MSG_BLOCK); }
/** Set the value of "WMO station number" from a variable of type int */
inline void set_station(int val, int conf=-1)  { seti(WR_VAR(0, 1, 2), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "WMO station number" from a wreport::Var */
inline void set_station_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 2), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "WMO station number" physical value stored in the message */
inline const wreport::Var* get_station_var() const
{ return find_by_id(DBA_MSG_STATION); }
/** Set the value of "Aircraft registration number or other identification" from a variable of type const char* */
inline void set_flight_reg_no(const char* val, int conf=-1)  { setc(WR_VAR(0, 1, 8), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Aircraft registration number or other identification" from a wreport::Var */
inline void set_flight_reg_no_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 8), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Aircraft registration number or other identification" physical value stored in the message */
inline const wreport::Var* get_flight_reg_no_var() const
{ return find_by_id(DBA_MSG_FLIGHT_REG_NO); }
/** Set the value of "Mobile station identifier" from a variable of type const char* */
inline void set_ident(const char* val, int conf=-1)  { setc(WR_VAR(0, 1, 11), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Mobile station identifier" from a wreport::Var */
inline void set_ident_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 11), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Mobile station identifier" physical value stored in the message */
inline const wreport::Var* get_ident_var() const
{ return find_by_id(DBA_MSG_IDENT); }
/** Set the value of "Station or site name" from a variable of type const char* */
inline void set_st_name(const char* val, int conf=-1)  { setc(WR_VAR(0, 1, 19), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Station or site name" from a wreport::Var */
inline void set_st_name_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 19), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Station or site name" physical value stored in the message */
inline const wreport::Var* get_st_name_var() const
{ return find_by_id(DBA_MSG_ST_NAME); }
/** Set the value of "ICAO location indicator" from a variable of type const char* */
inline void set_st_name_icao(const char* val, int conf=-1)  { setc(WR_VAR(0, 1, 63), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "ICAO location indicator" from a wreport::Var */
inline void set_st_name_icao_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 63), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "ICAO location indicator" physical value stored in the message */
inline const wreport::Var* get_st_name_icao_var() const
{ return find_by_id(DBA_MSG_ST_NAME_ICAO); }
/** Set the value of "Report mnemonic" from a variable of type const char* */
inline void set_rep_memo(const char* val, int conf=-1)  { setc(WR_VAR(0, 1, 194), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Report mnemonic" from a wreport::Var */
inline void set_rep_memo_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 194), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Report mnemonic" physical value stored in the message */
inline const wreport::Var* get_rep_memo_var() const
{ return find_by_id(DBA_MSG_REP_MEMO); }
/** Set the value of "Air quality observing station local code" from a variable of type int */
inline void set_poll_lcode(int val, int conf=-1)  { seti(WR_VAR(0, 1, 212), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Air quality observing station local code" from a wreport::Var */
inline void set_poll_lcode_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 212), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Air quality observing station local code" physical value stored in the message */
inline const wreport::Var* get_poll_lcode_var() const
{ return find_by_id(DBA_MSG_POLL_LCODE); }
/** Set the value of "Airbase air quality observing station code" from a variable of type int */
inline void set_poll_scode(int val, int conf=-1)  { seti(WR_VAR(0, 1, 213), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Airbase air quality observing station code" from a wreport::Var */
inline void set_poll_scode_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 213), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Airbase air quality observing station code" physical value stored in the message */
inline const wreport::Var* get_poll_scode_var() const
{ return find_by_id(DBA_MSG_POLL_SCODE); }
/** Set the value of "GEMS air quality observing station code" from a variable of type int */
inline void set_poll_gemscode(int val, int conf=-1)  { seti(WR_VAR(0, 1, 214), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "GEMS air quality observing station code" from a wreport::Var */
inline void set_poll_gemscode_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 214), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "GEMS air quality observing station code" physical value stored in the message */
inline const wreport::Var* get_poll_gemscode_var() const
{ return find_by_id(DBA_MSG_POLL_GEMSCODE); }
/** Set the value of "Air quality observing station dominant emission source" from a variable of type int */
inline void set_poll_source(int val, int conf=-1)  { seti(WR_VAR(0, 1, 215), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Air quality observing station dominant emission source" from a wreport::Var */
inline void set_poll_source_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 215), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Air quality observing station dominant emission source" physical value stored in the message */
inline const wreport::Var* get_poll_source_var() const
{ return find_by_id(DBA_MSG_POLL_SOURCE); }
/** Set the value of "Air quality observing station area type" from a variable of type int */
inline void set_poll_atype(int val, int conf=-1)  { seti(WR_VAR(0, 1, 216), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Air quality observing station area type" from a wreport::Var */
inline void set_poll_atype_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 216), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Air quality observing station area type" physical value stored in the message */
inline const wreport::Var* get_poll_atype_var() const
{ return find_by_id(DBA_MSG_POLL_ATYPE); }
/** Set the value of "Air quality observing station terrain type" from a variable of type int */
inline void set_poll_ttype(int val, int conf=-1)  { seti(WR_VAR(0, 1, 217), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Air quality observing station terrain type" from a wreport::Var */
inline void set_poll_ttype_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 217), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Air quality observing station terrain type" physical value stored in the message */
inline const wreport::Var* get_poll_ttype_var() const
{ return find_by_id(DBA_MSG_POLL_TTYPE); }
/** Set the value of "Type of station" from a variable of type int */
inline void set_st_type(int val, int conf=-1)  { seti(WR_VAR(0, 2, 1), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Type of station" from a wreport::Var */
inline void set_st_type_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 1), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Type of station" physical value stored in the message */
inline const wreport::Var* get_st_type_var() const
{ return find_by_id(DBA_MSG_ST_TYPE); }
/** Set the value of "Type of instrumentation for wind measurement" from a variable of type int */
inline void set_wind_inst(int val, int conf=-1)  { seti(WR_VAR(0, 2, 2), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Type of instrumentation for wind measurement" from a wreport::Var */
inline void set_wind_inst_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 2), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Type of instrumentation for wind measurement" physical value stored in the message */
inline const wreport::Var* get_wind_inst_var() const
{ return find_by_id(DBA_MSG_WIND_INST); }
/** Set the value of "Precision of temperature observation" from a variable of type double */
inline void set_temp_precision(double val, int conf=-1)  { setd(WR_VAR(0, 2, 5), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Precision of temperature observation" from a wreport::Var */
inline void set_temp_precision_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 5), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Precision of temperature observation" physical value stored in the message */
inline const wreport::Var* get_temp_precision_var() const
{ return find_by_id(DBA_MSG_TEMP_PRECISION); }
/** Set the value of "Aircraft navigational system" from a variable of type int */
inline void set_navsys(int val, int conf=-1)  { seti(WR_VAR(0, 2, 61), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Aircraft navigational system" from a wreport::Var */
inline void set_navsys_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 61), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Aircraft navigational system" physical value stored in the message */
inline const wreport::Var* get_navsys_var() const
{ return find_by_id(DBA_MSG_NAVSYS); }
/** Set the value of "Aircraft data relay system" from a variable of type int */
inline void set_data_relay(int val, int conf=-1)  { seti(WR_VAR(0, 2, 62), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Aircraft data relay system" from a wreport::Var */
inline void set_data_relay_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 62), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Aircraft data relay system" physical value stored in the message */
inline const wreport::Var* get_data_relay_var() const
{ return find_by_id(DBA_MSG_DATA_RELAY); }
/** Set the value of "Aircraft roll angle" from a variable of type double */
inline void set_flight_roll(double val, int conf=-1)  { setd(WR_VAR(0, 2, 63), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Aircraft roll angle" from a wreport::Var */
inline void set_flight_roll_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 63), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Aircraft roll angle" physical value stored in the message */
inline const wreport::Var* get_flight_roll_var() const
{ return find_by_id(DBA_MSG_FLIGHT_ROLL); }
/** Set the value of "Original specification of latitude/longitude" from a variable of type int */
inline void set_latlon_spec(int val, int conf=-1)  { seti(WR_VAR(0, 2, 70), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Original specification of latitude/longitude" from a wreport::Var */
inline void set_latlon_spec_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 70), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Original specification of latitude/longitude" physical value stored in the message */
inline const wreport::Var* get_latlon_spec_var() const
{ return find_by_id(DBA_MSG_LATLON_SPEC); }
/** Set the value of "Year of the observation" from a variable of type int */
inline void set_year(int val, int conf=-1)  { seti(WR_VAR(0, 4, 1), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Year of the observation" from a wreport::Var */
inline void set_year_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 1), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Year of the observation" physical value stored in the message */
inline const wreport::Var* get_year_var() const
{ return find_by_id(DBA_MSG_YEAR); }
/** Set the value of "Month of the observation" from a variable of type int */
inline void set_month(int val, int conf=-1)  { seti(WR_VAR(0, 4, 2), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Month of the observation" from a wreport::Var */
inline void set_month_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 2), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Month of the observation" physical value stored in the message */
inline const wreport::Var* get_month_var() const
{ return find_by_id(DBA_MSG_MONTH); }
/** Set the value of "Day of the observation" from a variable of type int */
inline void set_day(int val, int conf=-1)  { seti(WR_VAR(0, 4, 3), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Day of the observation" from a wreport::Var */
inline void set_day_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 3), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Day of the observation" physical value stored in the message */
inline const wreport::Var* get_day_var() const
{ return find_by_id(DBA_MSG_DAY); }
/** Set the value of "Hour of the observation" from a variable of type int */
inline void set_hour(int val, int conf=-1)  { seti(WR_VAR(0, 4, 4), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Hour of the observation" from a wreport::Var */
inline void set_hour_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 4), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Hour of the observation" physical value stored in the message */
inline const wreport::Var* get_hour_var() const
{ return find_by_id(DBA_MSG_HOUR); }
/** Set the value of "Minute of the observation" from a variable of type int */
inline void set_minute(int val, int conf=-1)  { seti(WR_VAR(0, 4, 5), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Minute of the observation" from a wreport::Var */
inline void set_minute_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 5), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Minute of the observation" physical value stored in the message */
inline const wreport::Var* get_minute_var() const
{ return find_by_id(DBA_MSG_MINUTE); }
/** Set the value of "Second of the observation" from a variable of type int */
inline void set_second(int val, int conf=-1)  { seti(WR_VAR(0, 4, 6), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Second of the observation" from a wreport::Var */
inline void set_second_var(const wreport::Var& val)  { set(val, WR_VAR(0, 4, 6), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Second of the observation" physical value stored in the message */
inline const wreport::Var* get_second_var() const
{ return find_by_id(DBA_MSG_SECOND); }
/** Set the value of "Latitude of the station" from a variable of type double */
inline void set_latitude(double val, int conf=-1)  { setd(WR_VAR(0, 5, 1), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Latitude of the station" from a wreport::Var */
inline void set_latitude_var(const wreport::Var& val)  { set(val, WR_VAR(0, 5, 1), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Latitude of the station" physical value stored in the message */
inline const wreport::Var* get_latitude_var() const
{ return find_by_id(DBA_MSG_LATITUDE); }
/** Set the value of "Longiture of the station" from a variable of type double */
inline void set_longitude(double val, int conf=-1)  { setd(WR_VAR(0, 6, 1), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Longiture of the station" from a wreport::Var */
inline void set_longitude_var(const wreport::Var& val)  { set(val, WR_VAR(0, 6, 1), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Longiture of the station" physical value stored in the message */
inline const wreport::Var* get_longitude_var() const
{ return find_by_id(DBA_MSG_LONGITUDE); }
/** Set the value of "Isobaric surface" from a variable of type double */
inline void set_isobaric_surface(double val, int conf=-1)  { setd(WR_VAR(0, 7, 4), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Isobaric surface" from a wreport::Var */
inline void set_isobaric_surface_var(const wreport::Var& val)  { set(val, WR_VAR(0, 7, 4), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Isobaric surface" physical value stored in the message */
inline const wreport::Var* get_isobaric_surface_var() const
{ return find_by_id(DBA_MSG_ISOBARIC_SURFACE); }
/** Set the value of "Height of release of sonde above msl" from a variable of type double */
inline void set_height_release(double val, int conf=-1)  { setd(WR_VAR(0, 7, 7), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Height of release of sonde above msl" from a wreport::Var */
inline void set_height_release_var(const wreport::Var& val)  { set(val, WR_VAR(0, 7, 7), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Height of release of sonde above msl" physical value stored in the message */
inline const wreport::Var* get_height_release_var() const
{ return find_by_id(DBA_MSG_HEIGHT_RELEASE); }
/** Set the value of "Height of station" from a variable of type double */
inline void set_height_station(double val, int conf=-1)  { setd(WR_VAR(0, 7, 30), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Height of station" from a wreport::Var */
inline void set_height_station_var(const wreport::Var& val)  { set(val, WR_VAR(0, 7, 30), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Height of station" physical value stored in the message */
inline const wreport::Var* get_height_station_var() const
{ return find_by_id(DBA_MSG_HEIGHT_STATION); }
/** Set the value of "Height of barometer above mean sea level" from a variable of type double */
inline void set_height_baro(double val, int conf=-1)  { setd(WR_VAR(0, 7, 31), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Height of barometer above mean sea level" from a wreport::Var */
inline void set_height_baro_var(const wreport::Var& val)  { set(val, WR_VAR(0, 7, 31), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Height of barometer above mean sea level" physical value stored in the message */
inline const wreport::Var* get_height_baro_var() const
{ return find_by_id(DBA_MSG_HEIGHT_BARO); }
/** Set the value of "Phase of aircraft flight" from a variable of type int */
inline void set_flight_phase(int val, int conf=-1)  { seti(WR_VAR(0, 8, 4), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Phase of aircraft flight" from a wreport::Var */
inline void set_flight_phase_var(const wreport::Var& val)  { set(val, WR_VAR(0, 8, 4), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Phase of aircraft flight" physical value stored in the message */
inline const wreport::Var* get_flight_phase_var() const
{ return find_by_id(DBA_MSG_FLIGHT_PHASE); }
/** Set the value of "Time significance" from a variable of type int */
inline void set_timesig(int val, int conf=-1)  { seti(WR_VAR(0, 8, 21), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Time significance" from a wreport::Var */
inline void set_timesig_var(const wreport::Var& val)  { set(val, WR_VAR(0, 8, 21), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Time significance" physical value stored in the message */
inline const wreport::Var* get_timesig_var() const
{ return find_by_id(DBA_MSG_TIMESIG); }
/** Set the value of "Station elevation quality mark (for mobile stations)" from a variable of type int */
inline void set_station_height_quality(int val, int conf=-1)  { seti(WR_VAR(0, 33, 24), val, conf, Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Set the value of "Station elevation quality mark (for mobile stations)" from a wreport::Var */
inline void set_station_height_quality_var(const wreport::Var& val)  { set(val, WR_VAR(0, 33, 24), Level(MISSING_INT, MISSING_INT, MISSING_INT, MISSING_INT), Trange(MISSING_INT, MISSING_INT, MISSING_INT)); }
/** Get the "Station elevation quality mark (for mobile stations)" physical value stored in the message */
inline const wreport::Var* get_station_height_quality_var() const
{ return find_by_id(DBA_MSG_STATION_HEIGHT_QUALITY); }
/** Set the value of "Total cloud cover (N)" from a variable of type int */
inline void set_cloud_n(int val, int conf=-1)  { seti(WR_VAR(0, 20, 10), val, conf, Level(256, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Total cloud cover (N)" from a wreport::Var */
inline void set_cloud_n_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 10), Level(256, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Total cloud cover (N)" physical value stored in the message */
inline const wreport::Var* get_cloud_n_var() const
{ return find_by_id(DBA_MSG_CLOUD_N); }
/** Set the value of "Cloud amount (N4)" from a variable of type int */
inline void set_cloud_n4(int val, int conf=-1)  { seti(WR_VAR(0, 20, 11), val, conf, Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (N4)" from a wreport::Var */
inline void set_cloud_n4_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 11), Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Get the "Cloud amount (N4)" physical value stored in the message */
inline const wreport::Var* get_cloud_n4_var() const
{ return find_by_id(DBA_MSG_CLOUD_N4); }
/** Set the value of "Cloud amount (C4)" from a variable of type int */
inline void set_cloud_c4(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (C4)" from a wreport::Var */
inline void set_cloud_c4_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Get the "Cloud amount (C4)" physical value stored in the message */
inline const wreport::Var* get_cloud_c4_var() const
{ return find_by_id(DBA_MSG_CLOUD_C4); }
/** Set the value of "Height of base of cloud (H4)" from a variable of type double */
inline void set_cloud_h4(double val, int conf=-1)  { setd(WR_VAR(0, 20, 13), val, conf, Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Set the value of "Height of base of cloud (H4)" from a wreport::Var */
inline void set_cloud_h4_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 13), Level(256, MISSING_INT, 259, 4), Trange(254, 0, 0)); }
/** Get the "Height of base of cloud (H4)" physical value stored in the message */
inline const wreport::Var* get_cloud_h4_var() const
{ return find_by_id(DBA_MSG_CLOUD_H4); }
/** Set the value of "Cloud amount (N3)" from a variable of type int */
inline void set_cloud_n3(int val, int conf=-1)  { seti(WR_VAR(0, 20, 11), val, conf, Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (N3)" from a wreport::Var */
inline void set_cloud_n3_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 11), Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Get the "Cloud amount (N3)" physical value stored in the message */
inline const wreport::Var* get_cloud_n3_var() const
{ return find_by_id(DBA_MSG_CLOUD_N3); }
/** Set the value of "Cloud amount (C3)" from a variable of type int */
inline void set_cloud_c3(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (C3)" from a wreport::Var */
inline void set_cloud_c3_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Get the "Cloud amount (C3)" physical value stored in the message */
inline const wreport::Var* get_cloud_c3_var() const
{ return find_by_id(DBA_MSG_CLOUD_C3); }
/** Set the value of "Height of base of cloud (H3)" from a variable of type double */
inline void set_cloud_h3(double val, int conf=-1)  { setd(WR_VAR(0, 20, 13), val, conf, Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Set the value of "Height of base of cloud (H3)" from a wreport::Var */
inline void set_cloud_h3_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 13), Level(256, MISSING_INT, 259, 3), Trange(254, 0, 0)); }
/** Get the "Height of base of cloud (H3)" physical value stored in the message */
inline const wreport::Var* get_cloud_h3_var() const
{ return find_by_id(DBA_MSG_CLOUD_H3); }
/** Set the value of "Cloud amount (N2)" from a variable of type int */
inline void set_cloud_n2(int val, int conf=-1)  { seti(WR_VAR(0, 20, 11), val, conf, Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (N2)" from a wreport::Var */
inline void set_cloud_n2_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 11), Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Get the "Cloud amount (N2)" physical value stored in the message */
inline const wreport::Var* get_cloud_n2_var() const
{ return find_by_id(DBA_MSG_CLOUD_N2); }
/** Set the value of "Cloud amount (C2)" from a variable of type int */
inline void set_cloud_c2(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (C2)" from a wreport::Var */
inline void set_cloud_c2_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Get the "Cloud amount (C2)" physical value stored in the message */
inline const wreport::Var* get_cloud_c2_var() const
{ return find_by_id(DBA_MSG_CLOUD_C2); }
/** Set the value of "Height of base of cloud (H2)" from a variable of type double */
inline void set_cloud_h2(double val, int conf=-1)  { setd(WR_VAR(0, 20, 13), val, conf, Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Set the value of "Height of base of cloud (H2)" from a wreport::Var */
inline void set_cloud_h2_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 13), Level(256, MISSING_INT, 259, 2), Trange(254, 0, 0)); }
/** Get the "Height of base of cloud (H2)" physical value stored in the message */
inline const wreport::Var* get_cloud_h2_var() const
{ return find_by_id(DBA_MSG_CLOUD_H2); }
/** Set the value of "Cloud amount (N1)" from a variable of type int */
inline void set_cloud_n1(int val, int conf=-1)  { seti(WR_VAR(0, 20, 11), val, conf, Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (N1)" from a wreport::Var */
inline void set_cloud_n1_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 11), Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Get the "Cloud amount (N1)" physical value stored in the message */
inline const wreport::Var* get_cloud_n1_var() const
{ return find_by_id(DBA_MSG_CLOUD_N1); }
/** Set the value of "Cloud amount (C1)" from a variable of type int */
inline void set_cloud_c1(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (C1)" from a wreport::Var */
inline void set_cloud_c1_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Get the "Cloud amount (C1)" physical value stored in the message */
inline const wreport::Var* get_cloud_c1_var() const
{ return find_by_id(DBA_MSG_CLOUD_C1); }
/** Set the value of "Height of base of cloud (H1)" from a variable of type double */
inline void set_cloud_h1(double val, int conf=-1)  { setd(WR_VAR(0, 20, 13), val, conf, Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Set the value of "Height of base of cloud (H1)" from a wreport::Var */
inline void set_cloud_h1_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 13), Level(256, MISSING_INT, 259, 1), Trange(254, 0, 0)); }
/** Get the "Height of base of cloud (H1)" physical value stored in the message */
inline const wreport::Var* get_cloud_h1_var() const
{ return find_by_id(DBA_MSG_CLOUD_H1); }
/** Set the value of "Cloud type (CH)" from a variable of type int */
inline void set_cloud_ch(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 258, 3), Trange(254, 0, 0)); }
/** Set the value of "Cloud type (CH)" from a wreport::Var */
inline void set_cloud_ch_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 258, 3), Trange(254, 0, 0)); }
/** Get the "Cloud type (CH)" physical value stored in the message */
inline const wreport::Var* get_cloud_ch_var() const
{ return find_by_id(DBA_MSG_CLOUD_CH); }
/** Set the value of "Cloud type (CM)" from a variable of type int */
inline void set_cloud_cm(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 258, 2), Trange(254, 0, 0)); }
/** Set the value of "Cloud type (CM)" from a wreport::Var */
inline void set_cloud_cm_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 258, 2), Trange(254, 0, 0)); }
/** Get the "Cloud type (CM)" physical value stored in the message */
inline const wreport::Var* get_cloud_cm_var() const
{ return find_by_id(DBA_MSG_CLOUD_CM); }
/** Set the value of "Cloud type (CL)" from a variable of type int */
inline void set_cloud_cl(int val, int conf=-1)  { seti(WR_VAR(0, 20, 12), val, conf, Level(256, MISSING_INT, 258, 1), Trange(254, 0, 0)); }
/** Set the value of "Cloud type (CL)" from a wreport::Var */
inline void set_cloud_cl_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 12), Level(256, MISSING_INT, 258, 1), Trange(254, 0, 0)); }
/** Get the "Cloud type (CL)" physical value stored in the message */
inline const wreport::Var* get_cloud_cl_var() const
{ return find_by_id(DBA_MSG_CLOUD_CL); }
/** Set the value of "Cloud amount (NH)" from a variable of type int */
inline void set_cloud_nh(int val, int conf=-1)  { seti(WR_VAR(0, 20, 11), val, conf, Level(256, MISSING_INT, 258, 0), Trange(254, 0, 0)); }
/** Set the value of "Cloud amount (NH)" from a wreport::Var */
inline void set_cloud_nh_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 11), Level(256, MISSING_INT, 258, 0), Trange(254, 0, 0)); }
/** Get the "Cloud amount (NH)" physical value stored in the message */
inline const wreport::Var* get_cloud_nh_var() const
{ return find_by_id(DBA_MSG_CLOUD_NH); }
/** Set the value of "Height of base of cloud (HH)" from a variable of type double */
inline void set_cloud_hh(double val, int conf=-1)  { setd(WR_VAR(0, 20, 13), val, conf, Level(256, MISSING_INT, 258, 0), Trange(254, 0, 0)); }
/** Set the value of "Height of base of cloud (HH)" from a wreport::Var */
inline void set_cloud_hh_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 13), Level(256, MISSING_INT, 258, 0), Trange(254, 0, 0)); }
/** Get the "Height of base of cloud (HH)" physical value stored in the message */
inline const wreport::Var* get_cloud_hh_var() const
{ return find_by_id(DBA_MSG_CLOUD_HH); }
/** Set the value of "Wind direction at 10 metres above ground" from a variable of type double */
inline void set_wind_dir(double val, int conf=-1)  { setd(WR_VAR(0, 11, 1), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Wind direction at 10 metres above ground" from a wreport::Var */
inline void set_wind_dir_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 1), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Wind direction at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_wind_dir_var() const
{ return find_by_id(DBA_MSG_WIND_DIR); }
/** Set the value of "Wind speed at 10 metres above ground" from a variable of type double */
inline void set_wind_speed(double val, int conf=-1)  { setd(WR_VAR(0, 11, 2), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Wind speed at 10 metres above ground" from a wreport::Var */
inline void set_wind_speed_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 2), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Wind speed at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_wind_speed_var() const
{ return find_by_id(DBA_MSG_WIND_SPEED); }
/** Set the value of "Extreme counterclockwise wind direction of a variable wind at 10 metres above ground" from a variable of type double */
inline void set_ex_ccw_wind(double val, int conf=-1)  { setd(WR_VAR(0, 11, 16), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Extreme counterclockwise wind direction of a variable wind at 10 metres above ground" from a wreport::Var */
inline void set_ex_ccw_wind_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 16), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Extreme counterclockwise wind direction of a variable wind at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_ex_ccw_wind_var() const
{ return find_by_id(DBA_MSG_EX_CCW_WIND); }
/** Set the value of "Extreme clockwise wind direction of a variable wind at 10 metres above ground" from a variable of type double */
inline void set_ex_cw_wind(double val, int conf=-1)  { setd(WR_VAR(0, 11, 17), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Extreme clockwise wind direction of a variable wind at 10 metres above ground" from a wreport::Var */
inline void set_ex_cw_wind_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 17), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Extreme clockwise wind direction of a variable wind at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_ex_cw_wind_var() const
{ return find_by_id(DBA_MSG_EX_CW_WIND); }
/** Set the value of "Maximum wind gust speed at 10 metres above ground" from a variable of type double */
inline void set_wind_gust_max_speed(double val, int conf=-1)  { setd(WR_VAR(0, 11, 41), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Maximum wind gust speed at 10 metres above ground" from a wreport::Var */
inline void set_wind_gust_max_speed_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 41), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Maximum wind gust speed at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_wind_gust_max_speed_var() const
{ return find_by_id(DBA_MSG_WIND_GUST_MAX_SPEED); }
/** Set the value of "Maximum wind gust direction at 10 metres above ground" from a variable of type double */
inline void set_wind_gust_max_dir(double val, int conf=-1)  { setd(WR_VAR(0, 11, 43), val, conf, Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Maximum wind gust direction at 10 metres above ground" from a wreport::Var */
inline void set_wind_gust_max_dir_var(const wreport::Var& val)  { set(val, WR_VAR(0, 11, 43), Level(103, 10000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Maximum wind gust direction at 10 metres above ground" physical value stored in the message */
inline const wreport::Var* get_wind_gust_max_dir_var() const
{ return find_by_id(DBA_MSG_WIND_GUST_MAX_DIR); }
/** Set the value of "Altimeter setting (QNH)" from a variable of type double */
inline void set_qnh(double val, int conf=-1)  { setd(WR_VAR(0, 10, 52), val, conf, Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Altimeter setting (QNH)" from a wreport::Var */
inline void set_qnh_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 52), Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Altimeter setting (QNH)" physical value stored in the message */
inline const wreport::Var* get_qnh_var() const
{ return find_by_id(DBA_MSG_QNH); }
/** Set the value of "Temperature at 2 metres above ground" from a variable of type double */
inline void set_temp_2m(double val, int conf=-1)  { setd(WR_VAR(0, 12, 101), val, conf, Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Temperature at 2 metres above ground" from a wreport::Var */
inline void set_temp_2m_var(const wreport::Var& val)  { set(val, WR_VAR(0, 12, 101), Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Temperature at 2 metres above ground" physical value stored in the message */
inline const wreport::Var* get_temp_2m_var() const
{ return find_by_id(DBA_MSG_TEMP_2M); }
/** Set the value of "Wet bulb temperature at 2 metres above ground" from a variable of type double */
inline void set_wet_temp_2m(double val, int conf=-1)  { setd(WR_VAR(0, 12, 102), val, conf, Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Wet bulb temperature at 2 metres above ground" from a wreport::Var */
inline void set_wet_temp_2m_var(const wreport::Var& val)  { set(val, WR_VAR(0, 12, 102), Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Wet bulb temperature at 2 metres above ground" physical value stored in the message */
inline const wreport::Var* get_wet_temp_2m_var() const
{ return find_by_id(DBA_MSG_WET_TEMP_2M); }
/** Set the value of "Dew point at 2 metres above ground" from a variable of type double */
inline void set_dewpoint_2m(double val, int conf=-1)  { setd(WR_VAR(0, 12, 103), val, conf, Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Dew point at 2 metres above ground" from a wreport::Var */
inline void set_dewpoint_2m_var(const wreport::Var& val)  { set(val, WR_VAR(0, 12, 103), Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Dew point at 2 metres above ground" physical value stored in the message */
inline const wreport::Var* get_dewpoint_2m_var() const
{ return find_by_id(DBA_MSG_DEWPOINT_2M); }
/** Set the value of "Humidity at 2 metres above ground" from a variable of type double */
inline void set_humidity(double val, int conf=-1)  { setd(WR_VAR(0, 13, 3), val, conf, Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Humidity at 2 metres above ground" from a wreport::Var */
inline void set_humidity_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 3), Level(103, 2000, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Humidity at 2 metres above ground" physical value stored in the message */
inline const wreport::Var* get_humidity_var() const
{ return find_by_id(DBA_MSG_HUMIDITY); }
/** Set the value of "Pressure reduced to mean sea level" from a variable of type double */
inline void set_press_msl(double val, int conf=-1)  { setd(WR_VAR(0, 10, 51), val, conf, Level(101, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Pressure reduced to mean sea level" from a wreport::Var */
inline void set_press_msl_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 51), Level(101, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Pressure reduced to mean sea level" physical value stored in the message */
inline const wreport::Var* get_press_msl_var() const
{ return find_by_id(DBA_MSG_PRESS_MSL); }
/** Set the value of "Direction of motion of moving observing platform" from a variable of type int */
inline void set_st_dir(int val, int conf=-1)  { seti(WR_VAR(0, 1, 12), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Direction of motion of moving observing platform" from a wreport::Var */
inline void set_st_dir_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 12), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Direction of motion of moving observing platform" physical value stored in the message */
inline const wreport::Var* get_st_dir_var() const
{ return find_by_id(DBA_MSG_ST_DIR); }
/** Set the value of "Speed of motion of moving observing platform" from a variable of type int */
inline void set_st_speed(int val, int conf=-1)  { seti(WR_VAR(0, 1, 13), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Speed of motion of moving observing platform" from a wreport::Var */
inline void set_st_speed_var(const wreport::Var& val)  { set(val, WR_VAR(0, 1, 13), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Speed of motion of moving observing platform" physical value stored in the message */
inline const wreport::Var* get_st_speed_var() const
{ return find_by_id(DBA_MSG_ST_SPEED); }
/** Set the value of "Type of measuring equipment used" from a variable of type int */
inline void set_meas_equip_type(int val, int conf=-1)  { seti(WR_VAR(0, 2, 3), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Type of measuring equipment used" from a wreport::Var */
inline void set_meas_equip_type_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 3), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Type of measuring equipment used" physical value stored in the message */
inline const wreport::Var* get_meas_equip_type_var() const
{ return find_by_id(DBA_MSG_MEAS_EQUIP_TYPE); }
/** Set the value of "Radiosonde type" from a variable of type int */
inline void set_sonde_type(int val, int conf=-1)  { seti(WR_VAR(0, 2, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Radiosonde type" from a wreport::Var */
inline void set_sonde_type_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Radiosonde type" physical value stored in the message */
inline const wreport::Var* get_sonde_type_var() const
{ return find_by_id(DBA_MSG_SONDE_TYPE); }
/** Set the value of "Radiosonde computational method" from a variable of type int */
inline void set_sonde_method(int val, int conf=-1)  { seti(WR_VAR(0, 2, 12), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Radiosonde computational method" from a wreport::Var */
inline void set_sonde_method_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 12), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Radiosonde computational method" physical value stored in the message */
inline const wreport::Var* get_sonde_method_var() const
{ return find_by_id(DBA_MSG_SONDE_METHOD); }
/** Set the value of "Solar and infrared radiation correction" from a variable of type int */
inline void set_sonde_correction(int val, int conf=-1)  { seti(WR_VAR(0, 2, 13), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Solar and infrared radiation correction" from a wreport::Var */
inline void set_sonde_correction_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 13), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Solar and infrared radiation correction" physical value stored in the message */
inline const wreport::Var* get_sonde_correction_var() const
{ return find_by_id(DBA_MSG_SONDE_CORRECTION); }
/** Set the value of "Tracking technique/status of system used" from a variable of type int */
inline void set_sonde_tracking(int val, int conf=-1)  { seti(WR_VAR(0, 2, 14), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Tracking technique/status of system used" from a wreport::Var */
inline void set_sonde_tracking_var(const wreport::Var& val)  { set(val, WR_VAR(0, 2, 14), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Tracking technique/status of system used" physical value stored in the message */
inline const wreport::Var* get_sonde_tracking_var() const
{ return find_by_id(DBA_MSG_SONDE_TRACKING); }
/** Set the value of "Pressure at ground level" from a variable of type double */
inline void set_press(double val, int conf=-1)  { setd(WR_VAR(0, 10, 4), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Pressure at ground level" from a wreport::Var */
inline void set_press_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 4), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Pressure at ground level" physical value stored in the message */
inline const wreport::Var* get_press_var() const
{ return find_by_id(DBA_MSG_PRESS); }
/** Set the value of "Anemometer height" from a variable of type double */
inline void set_height_anem(double val, int conf=-1)  { setd(WR_VAR(0, 10, 197), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Anemometer height" from a wreport::Var */
inline void set_height_anem_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 197), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Anemometer height" physical value stored in the message */
inline const wreport::Var* get_height_anem_var() const
{ return find_by_id(DBA_MSG_HEIGHT_ANEM); }
/** Set the value of "Total show depth" from a variable of type double */
inline void set_tot_snow(double val, int conf=-1)  { setd(WR_VAR(0, 13, 13), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Total show depth" from a wreport::Var */
inline void set_tot_snow_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 13), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Total show depth" physical value stored in the message */
inline const wreport::Var* get_tot_snow_var() const
{ return find_by_id(DBA_MSG_TOT_SNOW); }
/** Set the value of "Visibility" from a variable of type double */
inline void set_visibility(double val, int conf=-1)  { setd(WR_VAR(0, 20, 1), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Visibility" from a wreport::Var */
inline void set_visibility_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 1), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Visibility" physical value stored in the message */
inline const wreport::Var* get_visibility_var() const
{ return find_by_id(DBA_MSG_VISIBILITY); }
/** Set the value of "Present weather" from a variable of type int */
inline void set_pres_wtr(int val, int conf=-1)  { seti(WR_VAR(0, 20, 3), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Present weather" from a wreport::Var */
inline void set_pres_wtr_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 3), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Present weather" physical value stored in the message */
inline const wreport::Var* get_pres_wtr_var() const
{ return find_by_id(DBA_MSG_PRES_WTR); }
/** Set the value of "General weather indicator (TAF/METAR)" from a variable of type int */
inline void set_metar_wtr(int val, int conf=-1)  { seti(WR_VAR(0, 20, 9), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "General weather indicator (TAF/METAR)" from a wreport::Var */
inline void set_metar_wtr_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 9), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "General weather indicator (TAF/METAR)" physical value stored in the message */
inline const wreport::Var* get_metar_wtr_var() const
{ return find_by_id(DBA_MSG_METAR_WTR); }
/** Set the value of "State of ground (with or without snow)" from a variable of type double */
inline void set_state_ground(double val, int conf=-1)  { setd(WR_VAR(0, 20, 62), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "State of ground (with or without snow)" from a wreport::Var */
inline void set_state_ground_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 62), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "State of ground (with or without snow)" physical value stored in the message */
inline const wreport::Var* get_state_ground_var() const
{ return find_by_id(DBA_MSG_STATE_GROUND); }
/** Set the value of "Sea/water surface temperature" from a variable of type double */
inline void set_water_temp(double val, int conf=-1)  { setd(WR_VAR(0, 22, 43), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Set the value of "Sea/water surface temperature" from a wreport::Var */
inline void set_water_temp_var(const wreport::Var& val)  { set(val, WR_VAR(0, 22, 43), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(254, 0, 0)); }
/** Get the "Sea/water surface temperature" physical value stored in the message */
inline const wreport::Var* get_water_temp_var() const
{ return find_by_id(DBA_MSG_WATER_TEMP); }
/** Set the value of "Past weather (1 - 6h)" from a variable of type int */
inline void set_past_wtr1_6h(int val, int conf=-1)  { seti(WR_VAR(0, 20, 4), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 21600)); }
/** Set the value of "Past weather (1 - 6h)" from a wreport::Var */
inline void set_past_wtr1_6h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 4), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 21600)); }
/** Get the "Past weather (1 - 6h)" physical value stored in the message */
inline const wreport::Var* get_past_wtr1_6h_var() const
{ return find_by_id(DBA_MSG_PAST_WTR1_6H); }
/** Set the value of "Past weather (2 - 6h)" from a variable of type int */
inline void set_past_wtr2_6h(int val, int conf=-1)  { seti(WR_VAR(0, 20, 5), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 21600)); }
/** Set the value of "Past weather (2 - 6h)" from a wreport::Var */
inline void set_past_wtr2_6h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 5), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 21600)); }
/** Get the "Past weather (2 - 6h)" physical value stored in the message */
inline const wreport::Var* get_past_wtr2_6h_var() const
{ return find_by_id(DBA_MSG_PAST_WTR2_6H); }
/** Set the value of "Characteristic of pressure tendency" from a variable of type double */
inline void set_press_tend(double val, int conf=-1)  { setd(WR_VAR(0, 10, 63), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Set the value of "Characteristic of pressure tendency" from a wreport::Var */
inline void set_press_tend_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 63), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Get the "Characteristic of pressure tendency" physical value stored in the message */
inline const wreport::Var* get_press_tend_var() const
{ return find_by_id(DBA_MSG_PRESS_TEND); }
/** Set the value of "Past weather (1 - 3h)" from a variable of type int */
inline void set_past_wtr1_3h(int val, int conf=-1)  { seti(WR_VAR(0, 20, 4), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Set the value of "Past weather (1 - 3h)" from a wreport::Var */
inline void set_past_wtr1_3h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 4), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Get the "Past weather (1 - 3h)" physical value stored in the message */
inline const wreport::Var* get_past_wtr1_3h_var() const
{ return find_by_id(DBA_MSG_PAST_WTR1_3H); }
/** Set the value of "Past weather (2 - 3h)" from a variable of type int */
inline void set_past_wtr2_3h(int val, int conf=-1)  { seti(WR_VAR(0, 20, 5), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Set the value of "Past weather (2 - 3h)" from a wreport::Var */
inline void set_past_wtr2_3h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 20, 5), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(205, 0, 10800)); }
/** Get the "Past weather (2 - 3h)" physical value stored in the message */
inline const wreport::Var* get_past_wtr2_3h_var() const
{ return find_by_id(DBA_MSG_PAST_WTR2_3H); }
/** Set the value of "24 hour pressure change at ground level" from a variable of type double */
inline void set_press_24h(double val, int conf=-1)  { setd(WR_VAR(0, 10, 60), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(4, 0, 86400)); }
/** Set the value of "24 hour pressure change at ground level" from a wreport::Var */
inline void set_press_24h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 60), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(4, 0, 86400)); }
/** Get the "24 hour pressure change at ground level" physical value stored in the message */
inline const wreport::Var* get_press_24h_var() const
{ return find_by_id(DBA_MSG_PRESS_24H); }
/** Set the value of "3 hour pressure change at ground level" from a variable of type double */
inline void set_press_3h(double val, int conf=-1)  { setd(WR_VAR(0, 10, 60), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(4, 0, 10800)); }
/** Set the value of "3 hour pressure change at ground level" from a wreport::Var */
inline void set_press_3h_var(const wreport::Var& val)  { set(val, WR_VAR(0, 10, 60), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(4, 0, 10800)); }
/** Get the "3 hour pressure change at ground level" physical value stored in the message */
inline const wreport::Var* get_press_3h_var() const
{ return find_by_id(DBA_MSG_PRESS_3H); }
/** Set the value of "Total precipitation in the last 24 hours" from a variable of type double */
inline void set_tot_prec24(double val, int conf=-1)  { setd(WR_VAR(0, 13, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 86400)); }
/** Set the value of "Total precipitation in the last 24 hours" from a wreport::Var */
inline void set_tot_prec24_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 86400)); }
/** Get the "Total precipitation in the last 24 hours" physical value stored in the message */
inline const wreport::Var* get_tot_prec24_var() const
{ return find_by_id(DBA_MSG_TOT_PREC24); }
/** Set the value of "Total precipitation in the last 12 hours" from a variable of type double */
inline void set_tot_prec12(double val, int conf=-1)  { setd(WR_VAR(0, 13, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 43200)); }
/** Set the value of "Total precipitation in the last 12 hours" from a wreport::Var */
inline void set_tot_prec12_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 43200)); }
/** Get the "Total precipitation in the last 12 hours" physical value stored in the message */
inline const wreport::Var* get_tot_prec12_var() const
{ return find_by_id(DBA_MSG_TOT_PREC12); }
/** Set the value of "Total precipitation in the last 6 hours" from a variable of type double */
inline void set_tot_prec6(double val, int conf=-1)  { setd(WR_VAR(0, 13, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 21600)); }
/** Set the value of "Total precipitation in the last 6 hours" from a wreport::Var */
inline void set_tot_prec6_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 21600)); }
/** Get the "Total precipitation in the last 6 hours" physical value stored in the message */
inline const wreport::Var* get_tot_prec6_var() const
{ return find_by_id(DBA_MSG_TOT_PREC6); }
/** Set the value of "Total precipitation in the last 3 hours" from a variable of type double */
inline void set_tot_prec3(double val, int conf=-1)  { setd(WR_VAR(0, 13, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 10800)); }
/** Set the value of "Total precipitation in the last 3 hours" from a wreport::Var */
inline void set_tot_prec3_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 10800)); }
/** Get the "Total precipitation in the last 3 hours" physical value stored in the message */
inline const wreport::Var* get_tot_prec3_var() const
{ return find_by_id(DBA_MSG_TOT_PREC3); }
/** Set the value of "Total precipitation in the last hour" from a variable of type double */
inline void set_tot_prec1(double val, int conf=-1)  { setd(WR_VAR(0, 13, 11), val, conf, Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 3600)); }
/** Set the value of "Total precipitation in the last hour" from a wreport::Var */
inline void set_tot_prec1_var(const wreport::Var& val)  { set(val, WR_VAR(0, 13, 11), Level(1, MISSING_INT, MISSING_INT, MISSING_INT), Trange(1, 0, 3600)); }
/** Get the "Total precipitation in the last hour" physical value stored in the message */
inline const wreport::Var* get_tot_prec1_var() const
{ return find_by_id(DBA_MSG_TOT_PREC1); }
